commit: a0bdfdd640e5abc9be4ac19067b41123377be890
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 7 18:31:29 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct 7 18:37:45 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0bdfdd6
dev-python/graphviz: Bump to 0.14.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/graphviz/Manifest | 1 +
dev-python/graphviz/graphviz-0.14.2.ebuild | 33 ++++++++++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-python/graphviz/Manifest b/dev-python/graphviz/Manifest
index 4091d45c8f3..ab9aba84810 100644
--- a/dev-python/graphviz/Manifest
+++ b/dev-python/graphviz/Manifest
@@ -1 +1,2 @@
DIST graphviz-0.14.1.zip 183737 BLAKE2B
f4dd100d6fcdfcfc266a7dc77f89b8647ac16d4d56629555ec94b54347b0d91b531ec25ac7ed9c13b0470f6bc49c68a9101791e5fe8b815ab0cd18a9c6f93e7d
SHA512
ce2731acecee823afaf086955b316aba956a666b5d528c1ecdee388bf26ee02f502d48d650ed3a8aebcb75ecbff750049c1ca50e27644f74f57fb34b65e42c9a
+DIST graphviz-0.14.2.zip 184157 BLAKE2B
668c200964867f416e2b15454793fdd0673a110461a85764699727b0430c812e18fb4285e031f5f611ff86bd205cbf927c695015d55ac169a594e616ab74067a
SHA512
a8bcf395ebed7c43f5355bc167aae157c6eddb127860a6fb58eba0d882235e04a33a5bcf589245f484e3af9dce5eff8a5893ced73203901c92afd92c4f5b05be
diff --git a/dev-python/graphviz/graphviz-0.14.2.ebuild
b/dev-python/graphviz/graphviz-0.14.2.ebuild
new file mode 100644
index 00000000000..3700d1003cf
--- /dev/null
+++ b/dev-python/graphviz/graphviz-0.14.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple Python interface for Graphviz"
+HOMEPAGE="https://graphviz.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+
+RDEPEND="media-gfx/graphviz"
+BDEPEND="
+ app-arch/unzip
+ test? ( ${RDEPEND}
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-1.8[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e 's:--cov --cov-report=term --cov-report=html::' \
+ -i setup.cfg || die
+ distutils-r1_src_prepare
+}